<?php
/**
* Plugin Name: Ultimate Member - Rocket
* Plugin URI: https://mediafest.hu
* Description: This plugin disable the Ultimate Member styles and scripts on non UM pages
* Version: 1.0
* Author: Török Zoli
* Author URI: http://mediafest.hu/
**/

if ( function_exists('is_ultimatemember') ) {

    add_action( 'wp_print_scripts', 'my_deregister_javascript', 100 );
    function my_deregister_javascript() {
        if ( !is_ultimatemember() ) {
            wp_deregister_script( 'um_jquery_form');
            wp_deregister_script( 'um_fileupload');
            wp_deregister_script( 'um_crop');
            wp_deregister_script( 'um_tipsy');
            wp_deregister_script( 'um_functions');
            wp_deregister_script( 'um_scripts');
            wp_deregister_script( 'um_responsive');
            wp_deregister_script( 'um_modal');
            wp_deregister_script( 'select2');
            wp_deregister_script( 'um_datetime');
            wp_deregister_script( 'um_raty');
            wp_deregister_script( 'um_members');
            wp_deregister_script( 'um_profile');
            wp_deregister_script( 'um_account');
            wp_deregister_script( 'um-gdpr');
            wp_deregister_script( 'um_conditional');
        }
    }

    add_action( 'wp_print_styles', 'my_deregister_styles', 100 );
    function my_deregister_styles() {
        if ( !is_ultimatemember() ) {
            wp_deregister_style( 'select2');
            wp_deregister_style( 'um_crop');
            wp_deregister_style( 'um_tipsy');
            wp_deregister_style( 'um_responsive');
            wp_deregister_style( 'um_modal');
            wp_deregister_style( 'um_styles');
            wp_deregister_style( 'um_members');
            wp_deregister_style( 'um_profile');
            wp_deregister_style( 'um_account');
            wp_deregister_style( 'um_misc');
            wp_deregister_style( 'um_default_css');
            wp_deregister_style( 'um_fileupload');
            wp_deregister_style( 'um_datetime');
            wp_deregister_style( 'um_datetime_date');
            wp_deregister_style( 'um_datetime_time');
            wp_deregister_style( 'um_raty');
            wp_deregister_style( 'um_scrollbar');
            wp_deregister_style( 'um_fonticons_ii');
            wp_deregister_style( 'um_fonticons_fa');
        }
    }
}
?>